Subject: Re: bug#47106: Bubblewrap hates Guix containers😞

From: Ludovic Courtès <[email-masked]>
Date: Mon, 15 Mar 2021 10:52:12 +0100

Hi Leo,

Leo Prikler <[email-masked]> skribis:

>> /sys is already mounted inside ‘guix environment -C’ containers so I
>> don’t see what difference it would make.
> I think I've been told this several times, but I don't believe it.  Not
> adding all these expose=/sys lines triggers the "warnings" in the
> original post.  (Okay, perhaps one of /sys/dev and /sys/devices is
> superfluous, I would need to check.)

It would be great if you could pinpoint which of these --expose=/sys/xyz
makes a difference.  From there we could compare the output of ‘find
/sys/xyz’ inside and outside the container, without --expose.

Thanks,
Ludo’.